function figHandle = plotPhases(phases)
% PLOTPHASES  Visualizes the phase delays
%  imageHandle = visPhases(phases)  The input argument can be 
%  a vector or a matrix with 64 elements. The function returns
%  the handle to the created image.
%
% See also IMAGESC
    phasesToPrint= reshape(phases,8,8);
    phasesToPrint = mod(phasesToPrint, 2*pi);

    figHandle = imagesc(phasesToPrint);
     colorbar;
     colormap hsv;
     caxis([0 2*pi]);
     title('Phase delays')
 